package com.ruoyi.project.business.enums.lead;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author fangk
 * @date 2024/6/5
 * @desc LeadHisTypeEnum 线索履历业务类型
 */
@Getter
@AllArgsConstructor
public enum LeadHisTypeEnum {
    
    NEW(0L, "新增"),
    ALLOCATION(1L, "分配"),
    RECYCLE(2L, "回收"),
    CONVERT_CUSTOMER(3L, "转化客户"),
    CONVERT_PROJECT(4L, "转化项目"),
    CONVERT_QUOTE(5L, "转化报价"),
    INVALID(8L, "无效"),
    SILENT(10L, "静默"),
    ;


    private final Long code;
    private final String desc;
}